package cz.moneta.test.system.ihub;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.mwf.MWF3A3;
import cz.moneta.test.dsl.mwf.MWF3A3Response;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Assertions;

@Deprecated
@TestScenario(name = "Checks if birth number is already in use by the systems")
public class CheckBirthNumber {

    @Deprecated
    @TestCase(name = "Checks if birth number is already in use by the systems")
    public void checkBirthNumber(Harness harness) {
        MWF3A3Response response = harness.withIHub()
                .prepareRequestAsCbl(MWF3A3.class)
                .birthNumber("7910182929")
                .send();

        Assertions.assertEquals("1", response.allowed());
    }

}
